Subject: bug#35727: Connecting Geiser to Guile listening to a socket: No prompt found! (.guile to blame)

From: Luis Felipe <[email-masked]>
Date: Thu, 12 Jan 2023 17:32:39 +0000

Hi Mekeor,

On Monday, December 12th, 2022 at 13:32, Mekeor Melire <[email-masked]> wrote:

> Does it work when you start the Guile REPL with an
> environment-variable called INSIDE_EMACS?

It does, thanks.

> If this works, then I'd suggest that this is not a bug but rather
> you got to know that you need to deliver that environment variable
> to guix/guile. We could then close this ticket.

I'm not sure what would be the right place to document that tho...

> Personally, I think this is only a bug in Geiser which should be
> able to parse colored prompts.

I just reported this to Geiser:

https://gitlab.com/emacs-geiser/guile/-/issues/26

So I think I'll close this issue.